* {
    margin: 0;
    background-color: #f1f0f0;
    font-family: 'Harmattan', sans-serif;
}
@import url('https://fonts.googleapis.com/css2?family=Harmattan&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Nanum+Pen+Script&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Indie+Flower&family=Caesar+Dressing&family=Shizuru&family=Source+Code+Pro&display=swap&family=ZCOOL+KuaiLe&display=swap');
head {
    
 }
 .menu-container {
    display: none;
    position: fixed;
    width: 300px;
    height: 500px;
    left: 35%;
    padding: 20px;
    background-color: peachpuff;
    border-radius: 20px;
    border: 1px solid antiquewhite;
    z-index: 999999;
    color: gray;
    font-family: monospace;
    font-size: 1.6em;
    font-family: 'Harmattan', sans-serif;
 }
label {
    background-color: #fff;
    position: absolute;
    width: 45px;
    height: 22px;
    left: 10px;
    top: 39%;
    margin-top: 20px;
    border: 2px solid;
    border-radius: 20px;
}
label:before {
    position: absolute;
    content: "";
    width: 20px;
    height: 20px;
    right: 23px;
    top: 1px;
    border-radius: 50%;
    cursor: pointer;
    background-color: #000;
    transition: 0.4s;
}
label.active:before {
    right: 2px;
}
#turn-music {
    background-color: #000;
    position: absolute;
    width: 45px;
    height: 22px;
    left: 10px;
    top: 71%;
    border: 2px solid black;
    border-radius: 20px;
}
#turn-music:before {
    position: absolute;
    content: "";
    width: 20px;
    height: 20px;
    right: 2px;
    top: 1px;
    border-radius: 50%;
    cursor: pointer;
    background-color: #fff;
    transition: 0.4s;
}




















.bg {
    background-color: #f1f0f0;
    width: 100%;
    height: 100%;
    position: center;
}
marquee{
    position: absolute;
    display: flex;
    margin-top: 40%;
    margin-right: 15%;
    margin-left: 15%;
    background-color: transparent;
    font-family: monospace;
    font-size: 2em;
    z-index: 99999;
    font-family: 'Harmattan', sans-serif;
}




.wrapper{
    display: inline-flex;
    position: absolute;
    top: 16%;
    left: 73%;
}
.wrapper .icon {
    margin-left: 10px;
    cursor: pointer;
    z-index: 2;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
}



.wrapper img {
    padding: 10px;
    height: 40px;
    width: 40px;
    display: block;
    background: transparent;
    text-align: center;
    border-radius: 50%;
    box-shadow: 0 10px 10px rgba(0, 0, 0,0.1);
}
.wrapper .icon .tooltip {
    position: absolute;
    top: 0px;
    background-color: #fff;
    font-size: 20px;
    border-radius: 25px;
    padding: 10px 18px;
    box-shadow: 0 10px 10px rgba(0, 0, 0,0.1);
    opacity: 0;
    pointer-events: none;
    transition: all 0.4s cubic-bezier(0.68,-0.55,0.265,1.55);
}
.wrapper .icon:hover  .tooltip{
    top: -70px;
    opacity: 1;
    pointer-events: auto;
}


.wrapper .icon .tooltip:before {
    position: absolute;
    content: "";
    height: 15px;
    width: 15px;
    background-color: #fff;
    bottom: -8px;
    left: 50%;
    transform: translateX(-50%) rotate(45deg);
    transition: all 0.4s cubic-bezier(0.68,-0.55,0.265,1.55);
}
.wrapper .icon:hover img,
.wrapper .icon:hover .tooltip,
.wrapper .icon:hover .tooltip:before{
    background-color: tomato;
}
.social-media {
    background-color: transparent;
}
.info {
    background-color: transparent;
    writing-mode: unset;
    font-family: 'Source Code Pro', monospace;
    color: lightcoral;
    font-family: 'Harmattan', sans-serif;
}





.side-nav {
    background-color: #FF5C58;
    height: 100%;
    width: 60px;
    position: fixed;
    z-index: 1;
    top: 0;
    right: 0;
    padding: 10px;
    text-transform: uppercase;
}
.side-nav, a {
    padding-top: 20px;
    padding-bottom: 10px;
    background-color: #FF4646;
    text-decoration: none;
    color: black;
    writing-mode: vertical-lr;
    font-family: Calibri;
    font-size: 1.2em;
    font-family: 'Harmattan', sans-serif;
}


.pomel-btn {
    position: absolute;
    z-index: 1;
    top: 0;
    left: -20px;
    width: 0;
    height: 0;
    border-top: 80px solid transparent;
    border-left: 120px solid tomato;
    border-bottom: 80px solid transparent;
    cursor: pointer;
    transition: 0.4s;

}
.pomel-btn:hover {
    left: 0;
}

input {
    margin-top: 10%;
    margin-left: 10px;
    background-color: #FF4646;
    height: 32px;
    width: 32px;
    transition: 0.4s;
}
input:hover {
    transform: rotate(180deg);
}


body {
    margin-top: 4%;
    position: relative;
    background-color: #D9D9D9;
    user-select: none;
    font-family: 'Harmattan', sans-serif;
}
/* What is it decoration */
#part-1 {

    background-color: #FF5C58;
    margin: 10%;
    margin-right: 60%;
    padding: 50px;
    border-radius: 30px;
    box-shadow: 3px 3px 5px black;

}



h1 {
    background-color: #FF5C58;
    color: #FFAFAF;
    font-family: monospace;
    font-family: 'Harmattan', sans-serif;
}
h2 {
    background-color: #FF5C58;
    color: black;
    font-family: 'Source Code Pro', monospace;
    font-family: 'Harmattan', sans-serif;
}
h3 {
    color: lightgray;
}

h3, h4 {
    background-color: transparent;
    font-family: 'Harmattan', sans-serif;

}

h3 {
    color: black;
}

.h6 {
    font-family: monospace;
    text-align: center;
    margin-top: 10%;
    margin-bottom: 20%;
    font-size: 16px;
    background-color: transparent;
    font-family: 'Harmattan', sans-serif;
 }
.op-lang {
    top: 0;
    writing-mode: unset;
    display: block;
    text-align: left;
    background-color: transparent;
    font-size: 20px;
    cursor: pointer;
    opacity: 0.6;
}
.op-lang:hover {
    opacity: 4;
}




/* How it works decoration */
 #part-2 {
    background-color: #FF5C58;
    margin: 10%;
    margin-left: 60%;
    padding: 50px;
    border-radius: 30px;
    box-shadow: 3px 3px 5px black;
}



/* Advices decoration */
#part-3 {
    background-color: #FF5C58;
    margin-left: 10%;
    margin-right: 60%;
    padding: 50px;
    border-radius: 30px;
    box-shadow: 3px 3px 5px black;
}
ul, li {
    background-color: #FF5C58;
}
footer {
    background-color: bisque;
    margin-top: 10%;
    text-align: center;
    font-family: monospace;
    font-size: 20px;
}
h5, h6 {
    background-color: bisque;
}







html {
    scroll-behavior: smooth;
}



/*  media queries*/

@media (max-width: 35em) {
    .side-nav {
        width: 30px;
        font-size: 0.8em;
    }
    .pomel-btn {
        border-top: 30px solid transparent;
        border-left: 50px solid tomato;
        border-bottom: 30px solid transparent;
    }
    #settings-btn {
        margin-top: 4%;
        width: 32px;
        height: 32px;
        margin-left: 4px;
    }
    h1 {
        font-size: 25px;
    }
    h2 {
        font-size: 20px;
    }
    #part-1 {
        margin-top: 10%;
        margin-right: 20%;
        padding: 40px;
    }
    #part-2 {
        margin-left: 20%;
        padding: 40px;
    }
    #part-3 {
        margin-right: 20%;
        padding: 40px;
    }

    .wrapper {
        top: 7%;
        left: 64%;
    }
    .wrapper .icon .tooltip {
        font-size: 8px;

    }
    .wrapper .icon img,
    .wrapper .icon .tooltip,
    .wrapper .icon .tooltip:before{
        max-height: 16px;
        max-width: 16px;
    }
    marquee {
        font-size: 10px;
    }
    .menu-container {
        left: 20%;
        width: 200px;
        height: 300px;
        padding: 30px;
        font-size: 0.8em;
    }
    label {
        min-width: 30px;
        min-height: 18px;
        top: 35%;
    }
    label:before {
        min-width: 16px;
        min-height: 16px;
    }
    #turn-music {
        top: 64%;
    }
    .op-lang {
        font-size: 1em;
    }
    


}

